%define major 0.6

Summary: GStreamer streaming media framework runtime.
Name: gstreamer
Version: 0.6.3
Release: 0.dag
License: LGPL
Group: Applications/Multimedia
URL: http://gstreamer.net/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://gstreamer.net/releases/%{version}/src/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/root-%{name}-%{version}
Prefix: %{_prefix}

Prereq: /sbin/ldconfig gstreamer-tools
BuildRequires: glib2-devel >= 2.0.1, libxml2-devel >= 2.4.0
BuildRequires: bison, popt > 1.6, zlib-devel
# BuildRequires: gtk-doc >= 0.7
BuildRequires: openjade, python2, docbook-style-dsssl, docbook-dtd31-sgml, docbook-style-xsl
BuildRequires: docbook-utils, transfig, xfig

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new 
plugins.

%package devel
Summary: Header files, libraries and development documentation for %{name}.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%package tools
Summary: Tools for GStreamer streaming media framework.
Group: Applications/Multimedia

%description tools
This package contains the basic command-line tools used for GStreamer, like
gst-register and gst-launch.  It is split off to allow parallel-installability
in the future.

%prep
%setup
%{__perl} -pi.orig -e 's/-Werror//g' configure libs/ext/cothreads/configure libs/ext/cothreads/configure.ac

%build
### FIXME: should re-enable the docs build when it works
#{__aclocal}
#{__automake}
#{__autoconf}
%configure \
	--disable-tests \
	--disable-debug \
	--disable-examples \
	--disable-docs-build \
	--with-html-dir="%{buildroot}%{_datadir}/gtk-doc/html"
%{__make} %{?_smp_mflags}

%install  
%{__rm} -rf %{buildroot}
%makeinstall

### Clean up buildroot
%{__rm} -f %{buildroot}%{_libdir}/*.la \
		%{buildroot}%{_libdir}/gstreamer-%{major}/*.a \
		%{buildroot}%{_libdir}/gstreamer-%{major}/*.la \
		%{buildroot}%{_libdir}/libgstmedia-info*.so.0.0.0

%clean
%{__rm} -rf %{buildroot}

%post 
/sbin/ldconfig
DISPLAY="" %{_bindir}/gst-register --gst-mask="0" &>/dev/null

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, 0755)
%doc AUTHORS COPYING* README RELEASE REQUIREMENTS TODO
%{_libdir}/gstreamer-%{major}/
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root, 0755)
%{_includedir}/gstreamer-%{major}/
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4

%files tools
%defattr(-, root, root, 0755)
%doc %{_mandir}/man?/*
%{_bindir}/*

%changelog
* Wed Aug 27 2003 Dag Wieers <dag@wieers.com> - 0.6.3-0
- Updated to release 0.6.3.

* Tue Jun 10 2003 Dag Wieers <dag@wieers.com> - 0.6.2-0
- Updated to release 0.6.2.

* Fri May 09 2003 Dag Wieers <dag@wieers.com> - 0.6.1-0
- Initial package. (using DAR)
